package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProTenantDAO;
import com.philisense.www.mapper.ProTenantMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProTenantDAOImpl implements ProTenantDAO {

    @Autowired
    private ProTenantMapper proTenantMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proTenantMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proTenantMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proTenantMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proTenantMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proTenantMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proTenantMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proTenantMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proTenantMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proTenantMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proTenantMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proTenantMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proTenantMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proTenantMapper.updateBatch(list);
    }

    @Override
    public Map<String, Object> checkTenantCodeUnique(String tenantCode) {
        return proTenantMapper.checkTenantCodeUnique(tenantCode);
    }
}
